<template>
  <div id="app">
    <div class="flex center">
      <img alt="Eth logo" src="./assets/eth.svg">
      <h2>Ethereum last 10 blocks</h2>
    </div>
    <h4 v-if="loading">Loadding</h4>
    <Block v-if="!loading" msg="Ethereum last 10 blocks" :blocks='blocks'/>
  </div>
</template>

<script>
import Block from './components/Block.vue'
import axios from 'axios'

export default {
  name: 'App',
  components: {
    Block
  },
	data: () => ({
		host: 'http://localhost:8000',
		page: 1,
		loading: true,
		blocks: [],
	}),
	mounted () {
		this.load()
	},
	methods: {
		load () {
			axios.get(this.host).then(result => {
				this.blocks = result.data
				this.loading = false
			})
		}
  }
}
</script>

<style>
  body {
    margin: 0;
    background-color: #dbeafd;
    /*height: 100vh;*/
    background-image:url('./assets/hero.webp');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: top;
    /*backdrop-filter: blur(4px);*/
  }
  #app {
    font-family: Avenir, Helvetica, Arial, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-align: center;
    color: #2c3e50;
  }
  .flex {
    display: flex;
  }
  .center {
    justify-content: center;
  }
</style>
<!--item bc color #94c4fa-->
<!--border item #a3abf7 -->
<!-- logo color #8e98f5  -->
<!--addres and count #59697b-->
